Bug 1278309 - saslpasswd2 triggers bogus log messages ("error deleting entry from sasldb")
saslpasswd2 triggers bogus log messages ("error deleting entry from sasldb")
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
7.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jakub Jelen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 03:52 EST by Patrik Kis
Modified: 2018-03-28 09:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 761041
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2015-11-05 03:52:27 EST
The bug also exists in RHEL-7.2.
cyrus-sasl-2.1.26-19.2.el7

+++ This bug was initially created as a clone of Bug #761041 +++

Description of problem:

Adding a new user to the SASL database ("saslpasswd2 -c username") produce error in /var/log/messages, but command is successfully executed and user exists.

# saslpasswd2 -c anyusername
Password: 
Again (for verification): 
[16:42:53] ecode=0
# tail /var/log/messages | grep 16:42
Dec  7 16:42:53 local-rhel6i saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Dec  7 16:42:53 local-rhel6i saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Dec  7 16:42:53 local-rhel6i saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
[16:43:10] ecode=0
# sasldblistusers2
anyusername@local-rhel6i: userPassword
[16:47:50] ecode=0

Version-Release number of selected component (if applicable):
cyrus-sasl-lib-2.1.23-13.el6

How reproducible:
100%

Steps to Reproduce:
1. # saslpasswd2 -c anyusername
2. # tail /var/log/messages
3. # sasldblistusers2
  
Actual results:
Adding user produces error log

Expected results:
Adding user doesn't produce error log
Comment 2 Jakub Jelen 2017-07-19 08:51:20 EDT
Current GitHub Issue with this bug upstream:

https://github.com/cyrusimap/cyrus-sasl/issues/264

Not fixed yet. Adding cond nack.

Note You need to log in before you can comment on or make changes to this bug.